Podręcznik PHP
Poprzedni |  | Następny

# mysqli_real_escape_string

(PHP 5 CVS only)

mysqli_real_escape_string

(no version information, might be only in CVS)

mysqli->real_escape_string -- Escapes special characters in a string for use in a SQL statement, taking into account the current charset of the connection

## Description

Procedural style:

string mysqli_real_escape_string ( object link, string escapestr)

Object oriented style (method):

class mysqli {
string real_escape_sring ( string query)
}

This function is used to create a legal SQL string that you can use in a SQL statement. The string `escapestr` is encoded to an escaped SQL string, taking into account the current character set of the connection.

Characters encoded are `NUL (ASCII 0), \n, \r, \, ', ", and Control-Z`.

## Return values

Returns an escaped string.

## See also

mysqli_character_set_name().

Poprzedni | Spis treści | Następny
mysqli_real_connect | Początek rozdziału | mysqli_real_query